Apache JMeter

## org.apache.jmeter.assertions
Class DurationAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractScopedTestElement
              org.apache.jmeter.testelement.AbstractScopedAssertion
                  org.apache.jmeter.assertions.DurationAssertion

All Implemented Interfaces:
  Serializable, Cloneable, Assertion, Searchable, TestElement

    public class DurationAssertion

extends AbstractScopedAssertion
implements Serializable, Assertion

Checks if an Sample is sampled within a specified time-frame. If the duration is larger than the timeframe the Assertion is considered a failure.

See Also:
  Serialized Form

Field Summary
`static String` `DURATION_KEY` Key for storing assertion-informations in the jmx-file.

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`DurationAssertion()`

Method Summary
`AssertionResult` `getResult(SampleResult response)` Returns the result of the Assertion.

Methods inherited from class org.apache.jmeter.testelement.AbstractScopedAssertion
`getScopeName`

Methods inherited from class org.apache.jmeter.testelement.AbstractScopedTestElement
`fetchScope, getSampleList, getSearchableTokens, getVariableName, isScopeAll, isScopeChildren, isScopeParent, isScopeVariable, isScopeVariable, setScopeAll, setScopeChildren, setScopeParent, setScopeVariable`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DURATION_KEY

    public static final String DURATION_KEY

  Key for storing assertion-informations in the jmx-file.

  See Also:
    Constant Field Values

Constructor Detail

### DurationAssertion

    public DurationAssertion()

Method Detail

### getResult

    public AssertionResult getResult(SampleResult response)

  Returns the result of the Assertion. Here it checks wether the Sample took to long to be considered successful. If so an AssertionResult containing a FailureMessage will be returned. Otherwise the returned AssertionResult will reflect the success of the Sample.

  Specified by:
    `getResult` in interface `Assertion`
  Parameters:
    `response` - the SampleResult containing information about the Sample (duration, success, etc)
  Returns:
    the AssertionResult containing the information about whether the assertion passed or failed.

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.